# Delete Rates

## Deletes rates from bulk data.

> Deletes one or more rates using a bulk payload.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5102-g2bf281b6"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/exchange/rates":{"delete":{"tags":["Rates"],"summary":"Deletes rates from bulk data.","description":"Deletes one or more rates using a bulk payload.","requestBody":{"description":"The rates to delete.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/RateBulkData"}],"description":"Bulk operation data model"}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/RateBulkData"}],"description":"Bulk operation data model"}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/RateBulkData"}],"description":"Bulk operation data model"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Rate"}}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"RateBulkData":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Rate"},"description":"Array of data models"}},"additionalProperties":false,"description":"Bulk operation data model"},"Rate":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ExchangeAudit"}],"description":"Exchange Entity Audit properties bag"},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"pair":{"type":"object","allOf":[{"$ref":"#/components/schemas/PairRef"}]},"recordDate":{"type":"string","description":"Date and time of rate","format":"date-time"},"value":{"type":"number","description":"Rate from source to destination currency","format":"double"},"externalId":{"type":"string","description":"External id of rate","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/RateStatus"}],"description":"Record status"},"reverseRate":{"type":"object","allOf":[{"$ref":"#/components/schemas/RateRef"}]}},"additionalProperties":false,"description":"Record of rate for specific day"},"ExchangeAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Delete event details","nullable":true}},"additionalProperties":false,"description":"Exchange Entity Audit properties bag"},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PairRef":{"type":"object","properties":{"revision":{"type":"integer","format":"int32"},"id":{"type":"string","description":"The unique identifier of the pair."},"name":{"type":"string","description":"The name of the pair."},"externalId":{"type":"string","description":"The external id of the pair","nullable":true},"notes":{"type":"string","description":"Notes for the pair","nullable":true},"primary":{"type":"boolean","description":"If the pair is primary"},"latestRate":{"allOf":[{"$ref":"#/components/schemas/Rate"}],"description":"Latest pair rate"}},"additionalProperties":false,"description":"Represents a pair of currencies in exchange module."},"RateStatus":{"enum":["Active","Deleted"],"type":"string","description":"Record status enumeration"},"RateRef":{"type":"object","properties":{"id":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"value":{"type":"number","description":"Rate from source to destination currency","format":"double"},"externalId":{"type":"string","description":"External id of rate","nullable":true}},"additionalProperties":false,"description":"Record of rate for specific day"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
